# Generated by Django 2.1.2 on 2018-11-22 10:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fechaCliente', models.DateField()),
                ('fonoCliente', models.CharField(blank=True, default='N/A', max_length=12, null=True)),
                ('ciudadCliente', models.CharField(choices=[('', '--Seleccione una Ciudad--'), ('Region de Antofagasta', (('TOC', 'Tocopilla'), ('MEJ', 'Mejillones'), ('ANT', 'Antofagasta'))), ('Region Metropolitana', (('QUI', 'Quilicura'), ('REN', 'Renca'), ('PRO', 'Providencia'))), ('Region de Los Rios', (('COR', 'El Corral'), ('PAN', 'Panguipulli'), ('VAL', 'Valdivia')))], default='', max_length=40)),
                ('viviendaCliente', models.CharField(choices=[('', '--Seleccione un Tipo de Vivienda--'), ('CPG', 'Casa con Patio Grande'), ('CPP', 'Casa con Patio Pequeño'), ('CSP', 'Casa sin Patio'), ('DEP', 'Departamento')], default='', max_length=40)),
                ('userCliente', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ClienteMascota',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('idCliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Cliente')),
            ],
        ),
        migrations.CreateModel(
            name='Mascota',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombreMascota', models.CharField(max_length=20)),
                ('razaMascota', models.CharField(max_length=30)),
                ('estadoMascota', models.CharField(choices=[('', '--Seleccione un Estado--'), ('RES', 'Rescatado'), ('DIS', 'Disponible'), ('ADO', 'Adoptado')], default='', max_length=40)),
                ('fotoMascota', models.ImageField(upload_to='media/mascotas/')),
                ('descMastoca', models.TextField(max_length=200)),
            ],
        ),
        migrations.AddField(
            model_name='clientemascota',
            name='idMascota',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Mascota'),
        ),
    ]
